using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;

namespace WindowsGame2
{
    public class Game1 : Microsoft.Xna.Framework.Game
    {
        GraphicsDeviceManager graphics;
        SpriteBatch spriteBatch;

        FormManager formMgr = null;
        public Game1()
        {
            graphics = new GraphicsDeviceManager(this);
            formMgr = new FormManager(this, graphics);

            Content.RootDirectory = "Content";
            IsMouseVisible = true;
        }

        /// <summary>
        /// 
        /// </summary>
        protected override void Initialize()
        {
            // TODO: Add your initialization logic here

            base.Initialize();
        }

        /// <summary>
        /// CONTENTǍ
        /// </summary>
        protected override void LoadContent()
        {
            spriteBatch = new SpriteBatch(GraphicsDevice);

            // TODO: use this.Content to load your game content here
        }

        /// <summary>
        /// CONTENTj
        /// </summary>
        protected override void UnloadContent()
        {
            // TODO: Unload any non ContentManager content here
        }

        /// <summary>
        /// XV
        /// </summary>
        /// <param name="gameTime"></param>
        protected override void Update(GameTime gameTime)
        {
            KeyboardState KeyState = Keyboard.GetState();
            if (KeyState.IsKeyDown(Microsoft.Xna.Framework.Input.Keys.Escape)) Exit();

            // FullScreen
            if (KeyState.IsKeyDown(Microsoft.Xna.Framework.Input.Keys.F1))
                formMgr.FullscreenMode();

            // Window
            if (KeyState.IsKeyDown(Microsoft.Xna.Framework.Input.Keys.F2))
                formMgr.WindowMode();

            base.Update(gameTime);
        }

        /// <summary>
        /// `揈
        /// </summary>
        /// <param name="gameTime">`^C~O</param>
        protected override void Draw(GameTime gameTime)
        {
            formMgr.Draw(gameTime);
            graphics.GraphicsDevice.Clear(Color.CornflowerBlue);
            base.Draw(gameTime);
        }
    }
}
